MOUNT_MSDOSFS(8)

NAME
mount_msdosfs - mount an MS-DOS file system

SYNOPSIS
mount_msdosfs [-9ls] [-D DOS_codepage] [-g gid] [-L locale] [-M mask] [-m mask] [-o options] [-u uid] [-W table] special node

DESCRIPTION
The mount_msdosfs utility attaches the MS-DOS file system residing on the device special to the global file system namespace at the location indicated by node. This command is normally executed by mount(8) at boot time, but can be used by any user to mount an MS-DOS file system on any directory that they own (provided, of course, that they have appropriate access to the device that contains the file system).

The options are as follows:

-o options
    Use the specified mount options, as described in mount(8). The following MSDOS file system-specific options are available:

    large
        Support file systems larger than 128 gigabytes at the expense of 32 bytes of kernel memory for each file on disk. This memory will not be reclaimed until the file system has been unmounted.

    longnames
        Force Windows 95 long filenames to be visible.

    shortnames
        Force only the old MS-DOS 8.3 style filenames to be visible.

    nowin95
        Completely ignore Windows 95 extended file information.

-u uid
    Set the owner of the files in the file system to uid. The default owner is the owner of the directory on which the file system is being mounted.

-g gid
    Set the group of the files in the file system to gid. The default group is the group of the directory on which the file system is being mounted.

-m mask
    Specify the maximum file permissions for files in the file system. (For example, a mask of 755 specifies that, by default, the owner should have read, write, and execute permissions for files, but others should only have read and execute permissions. See chmod(1) for more information about octal file modes. Only the nine low-order bits of mask are used. The value of -M is used if it is supplied and -m is omitted. The default mask is taken from the directory on which the file system is being mounted.

-M mask
    Specify the maximum file permissions for directories in the file system. The value of -m is used if it is supplied and -M is omitted. See the previous option's description for details.

-s  Force behaviour to ignore and not generate Win'95 long filenames.

-l  Force listing and generation of Win'95 long filenames and separate creation/modification/access dates.

    If neither -s nor -l are given, mount_msdosfs searches the root directory of the file system to be mounted for any existing Win'95 long filenames. If no such entries are found, but short DOS filenames are found, -s is the default. Otherwise -l is assumed.

-9  Ignore the special Win'95 directory entries even if deleting or renaming a file. This forces -s.

-L locale
    Specify locale name used for file name conversions for DOS and Win'95 names. By default ISO 8859-1 assumed as local character set.

-D DOS_codepage
    Specify the MS-DOS code page (aka IBM/OEM code page) name used for file name conversions for DOS names.

-W table
    This option is preserved for backward compatibility purpose only, and will be removed in the future. Please avoid using this option.

    Specify text file name with conversion table: iso22dos, iso72dos, koi2dos, koi8u2dos.

EXAMPLES
To mount a Russian MS-DOS file system located in /dev/ad1s1:

    mount_msdosfs -L ru_RU.KOI8-R -D CP866 /dev/ad1s1 /mnt

To mount a Japanese MS-DOS file system located in /dev/ad1s1:

    mount_msdosfs -L ja_JP.eucJP -D CP932 /dev/ad1s1 /mnt

SEE ALSO
mount(2), unmount(2), fstab(5), msdosfs(5), mount(8)

List of Localized MS Operating Systems: http://www.microsoft.com/globaldev/reference/oslocversion.mspx.

HISTORY
The mount_msdosfs utility first appeared in FreeBSD 2.0. Its predecessor, the mount_pcfs utility appeared in FreeBSD 1.0, and was abandoned in favor of the more aptly-named mount_msdosfs.

The character code conversion routine was added by Ryuichiro Imura <imura@ryu16.org> at 2003.

CAVEATS
The use of the -9 flag could result in damaged file systems, albeit the damage is in part taken care of by procedures similar to the ones used in Win'95.